from django.forms import widgets
from rest_framework import serializers
from b2eb_stat.models import Server, Cluster, Ssd

class ServerSerializer(serializers.ModelSerializer):
    class Meta:
        model = Server
        fields = ('id', 'name', 'fqdn', 'cores', 'memory', 'processor', 'archetecture', 'kernel', 'os', 'ssd') 
class ClusterSerializer(serializers.ModelSerializer):
    class Meta:
        model = Cluster
        fields = ('id', 'name', 'owner','nodes', 'description')
class SsdSerializer(serializers.ModelSerializer):
    class Meta:
        model = Ssd
        fields = ('id', 'name', 'type','vendor', 'capacity', 'wwn')
